Bug 230762 - Review Request: xawtv - TV applications for video4linux compliant devices
Review Request: xawtv - TV applications for video4linux compliant devices
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-02 13:15 EST by Dmitry Butskoy
Modified: 2011-02-02 17:29 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-25 10:05:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
notting: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dmitry Butskoy 2007-03-02 13:15:48 EST
Spec URL: http://dmitry.butskoy.name/xawtv/xawtv.spec
SRPM URL: http://dmitry.butskoy.name/xawtv/xawtv-3.95-0.src.rpm

Description: 
Xawtv is a simple xaw-based TV program which uses the bttv driver or
video4linux. Xawtv contains various command-line utilities for
grabbing images and .avi movies, for tuning in to TV stations, etc.
Xawtv also includes a grabber driver for vic.


Additional info:
xawtv was in Fedora Core until FC2 (now tvtime is a base apps to watch TV).

Xawtv seems to be a first project capable to show TV, written by the same people as v4l drive.

Besides "xawtv" program itself, "xawtv" package includes a lot of another useful things: command line tools, console radio apps, frame buffer tv, teletext web daemon etc. These "addional tools" are the main reason to package xawtv for Fedora.

This package includes ability to write avi files with motion jpeg video, as well as raw "YUV 4:2:0" called "yuv4mpeg". All those seem to have no legal issues (avi support is already in Fedora (dvgrab, xine-lib), mjpeg and yum4mpeg are just a stream of images (jpeg and raw YUV respectively)).

Another distros like to split xawtv to several subpackages. I dislike that, because initial Fedora's xawtv was a single package, there is no common agreement how to split (various distos do it differently), splitting itself seem to be unuseful (even some pure cmdline tools require X11 libs etc.)
Comment 1 Tom "spot" Callaway 2007-06-13 15:10:10 EDT
I see no legal problems with mjpeg or raw YUV.
Comment 2 Jason Tibbitts 2007-06-20 21:06:50 EDT
rpmlint has only one complaint:
  W: xawtv mixed-use-of-spaces-and-tabs (spaces: line 65, tab: line 84)
No big deal; fix it if you like.

The Source0: URL doesn't seem to be valid.  Trying to fetch it I just end up getting an index.html page.  This seems to work better for me:
   http://dl.bytesex.org/releases/xawtv/%{name}-%{version}.tar.gz

You aren't using the dist tag.  It's not a requirement, but I always ask packagers if they understand the issues that can occur if they don't.

The compiler seems to be called only with -Wno-pointer-sign instead of the usual compliment of flags.  This breaks the debuginfo packages, among other things.

I guess this is a GUI application (or at least some of the executables are) and is thus supposed have appropriate desktop files so that things show up in the desktop menu properly.

* source files match upstream:
   1204212c59d10df4e29a9a0ddce96cab78342859ec44bf6fd1c5f260b5c7216f  
   xawtv-3.95.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
X compiler flags are incorrect.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
X debuginfo package is incomplete.
* rpmlint has only acceptable complaints.
* final provides and requires are sane:
   bilinear.so()(64bit)
   config(xawtv) = 3.95-0
   conv-mjpeg.so()(64bit)
   cubic.so()(64bit)
   drv0-v4l2-old.so()(64bit)
   drv0-v4l2.so()(64bit)
   drv1-v4l.so()(64bit)
   flt-disor.so()(64bit)
   flt-gamma.so()(64bit)
   flt-invert.so()(64bit)
   flt-smooth.so()(64bit)
   linear-blend.so()(64bit)
   linedoubler.so()(64bit)
   read-avi.so()(64bit)
   read-dv.so()(64bit)
   snd-oss.so()(64bit)
   write-avi.so()(64bit)
   write-dv.so()(64bit)
   xawtv = 3.95-0
  =
   /bin/bash
   config(xawtv) = 3.95-0
   libFS.so.6()(64bit)
   libGL.so.1()(64bit)
   libICE.so.6()(64bit)
   libSM.so.6()(64bit)
   libX11.so.6()(64bit)
   libXaw.so.7()(64bit)
   libXext.so.6()(64bit)
   libXft.so.2()(64bit)
   libXinerama.so.1()(64bit)
   libXmu.so.6()(64bit)
   libXpm.so.4()(64bit)
   libXrandr.so.2()(64bit)
   libXrender.so.1()(64bit)
   libXt.so.6()(64bit)
   libXv.so.1()(64bit)
   libXxf86dga.so.1()(64bit)
   libaa.so.1()(64bit)
   libasound.so.2()(64bit)
   libasound.so.2(ALSA_0.9)(64bit)
   libdv.so.4()(64bit)
   libfontconfig.so.1()(64bit)
   libfreetype.so.6()(64bit)
   libjpeg.so.62()(64bit)
   libncursesw.so.5()(64bit)
   libpng12.so.0()(64bit)
   libpthread.so.0()(64bit)
   libpthread.so.0(GLIBC_2.2.5)(64bit)
   libpthread.so.0(GLIBC_2.3.2)(64bit)
   libtinfo.so.5()(64bit)
   libz.so.1()(64bit)
   libzvbi.so.0()(64bit)
   usermode

* %check is not present; no test suite upstream.  I haven't the hardware to be 
  able to do any testing, so I'm only reviewing the packaging.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.
X GUI app, but no desktop files.
Comment 3 Dmitry Butskoy 2007-06-21 07:37:10 EDT
> The Source0:
> http://dl.bytesex.org/releases/xawtv/%{name}-%{version}.tar.gz
Done.

> dist tag.
Oops... Added.

> The compiler seems to be called only with -Wno-pointer-sign
Thanks, added.

> a GUI application is thus supposed have appropriate desktop files
Hmmm... /usr/share/applcations/fedora-xawtv.desktop is already present...


New SPEC: http://dmitry.butskoy.name/xawtv/xawtv.spec
New SRPM: http://dmitry.butskoy.name/xawtv/xawtv-3.95-1.src.rpm

Comment 4 Jason Tibbitts 2007-06-22 00:58:35 EDT
Looks good.  I don't know how I missed the desktop file there; the only comment
I have about it is that we don't use X-Fedora any longer.

I'll go ahead and approve and you can remove that bit when you check in.

APPROVED
Comment 5 Dmitry Butskoy 2007-06-22 07:30:21 EDT
New Package CVS Request
=======================
Package Name: xawtv
Short Description: TV applications for video4linux compliant devices
Owners: dmitry@butskoy.name
Branches: FC-6 F-7
InitialCC: 
Comment 6 Kevin Fenzi 2007-06-22 15:27:07 EDT
cvs done.
Comment 7 Dmitry Butskoy 2007-06-25 07:16:14 EDT
> I have about it is that we don't use X-Fedora any longer.
It is added by "--vendor fedora" in "desktop-file-install", according to
http://fedoraproject.org/wiki/Packaging/Guidelines#head-d559ee7363418a5840ce63090c608c991cd39ce6
Comment 8 Ville Skyttä 2007-06-25 13:05:56 EDT
(In reply to comment #7)
> > I have about it is that we don't use X-Fedora any longer.
> It is added by "--vendor fedora" in "desktop-file-install"

Really?  That would be a strange desktop-file-install bug.  I find your use of
"--add-category X-Fedora" a much more likely candidate for why it's there... :)
Comment 9 Dmitry Butskoy 2007-06-26 08:12:39 EDT
Hmm...
It seems you managed to convince me. :)
Comment 10 Dmitry Butskoy 2011-02-01 12:25:36 EST
Package Change Request
======================
Package Name: xawtv
New Branches: el5 el6
Owners: dmitry@butskoy.name
InitialCC: mchehab@redhat.com
Comment 11 Jason Tibbitts 2011-02-01 12:39:53 EST
Owners and initialCC fields must contain FAS account names, not email addresses.
Comment 12 Dmitry Butskoy 2011-02-01 12:53:12 EST
Package Change Request
======================
Package Name: xawtv
New Branches: el5 el6
Owners: buc
InitialCC: mchehab
Comment 13 Dmitry Butskoy 2011-02-02 11:29:11 EST
ping.
Comment 14 Bill Nottingham 2011-02-02 17:29:11 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.